Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms
Class DefaultCacheManager

    java.lang.Object
      org.apache.cocoon.forms.DefaultCacheManager

All Implemented Interfaces:
  CacheManager

public class DefaultCacheManager
extends Object
implements CacheManager

Component implementing the `CacheManager` role.

Version:
  $Id: DefaultCacheManager.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary
`protected Map` | `cache`

Fields inherited from interface org.apache.cocoon.forms.CacheManager
`ROLE`

Constructor Summary
`DefaultCacheManager()`

Method Summary
`Object` | `get(Source source, String prefix)` Retrieves an object from the cache.
`void` | `remove(Source source, String prefix)` Removes an object from the cache.
`void` | `set(Object object, Source source, String prefix)` Saves an object in the cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache

    protected Map cache

Constructor Detail

### DefaultCacheManager

    public DefaultCacheManager()

Method Detail

### get

    public Object get(Source source,
                      String prefix)

  Description copied from interface: `CacheManager`
  Retrieves an object from the cache.

  Specified by:
    `get` in interface `CacheManager`

### set

    public void set(Object object,
                    Source source,
                    String prefix)

  Description copied from interface: `CacheManager`
  Saves an object in the cache.

  Specified by:
    `set` in interface `CacheManager`

### remove

    public void remove(Source source,
                       String prefix)

  Description copied from interface: `CacheManager`
  Removes an object from the cache.

  Specified by:
    `remove` in interface `CacheManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.